| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::videostab::TwoPassStabilizer Class Reference
Video Stabilization

`#include <opencv2/videostab/stabilizer.hpp>`

Inheritance diagram for cv::videostab::TwoPassStabilizer:

## Public Member Functions
| TwoPassStabilizer ()
Ptr< IMotionStabilizer > | motionStabilizer () const
bool | mustEstimateTrimaRatio () const
virtual Mat | nextFrame () CV_OVERRIDE
virtual void | reset () CV_OVERRIDE
void | setEstimateTrimRatio (bool val)
void | setMotionStabilizer (Ptr< IMotionStabilizer > val)
void | setWobbleSuppressor (Ptr< WobbleSuppressorBase > val)
Ptr< WobbleSuppressorBase > | wobbleSuppressor () const
Public Member Functions inherited from cv::videostab::StabilizerBase
virtual | ~StabilizerBase ()
int | borderMode () const
Ptr< DeblurerBase > | deblurrer () const
bool | doCorrectionForInclusion () const
Ptr< IFrameSource > | frameSource () const
Ptr< InpainterBase > | inpainter () const
Ptr< ILog > | log () const
Ptr< ImageMotionEstimatorBase > | motionEstimator () const
int | radius () const
void | setBorderMode (int val)
void | setCorrectionForInclusion (bool val)
void | setDeblurer (Ptr< DeblurerBase > val)
void | setFrameSource (Ptr< IFrameSource > val)
void | setInpainter (Ptr< InpainterBase > val)
void | setLog (Ptr< ILog > ilog)
void | setMotionEstimator (Ptr< ImageMotionEstimatorBase > val)
void | setRadius (int val)
void | setTrimRatio (float val)
float | trimRatio () const
Public Member Functions inherited from cv::videostab::IFrameSource
virtual | ~IFrameSource ()

## Protected Member Functions
virtual Mat | estimateMotion () CV_OVERRIDE
virtual Mat | estimateStabilizationMotion () CV_OVERRIDE
virtual Mat | postProcessFrame (const Mat &frame) CV_OVERRIDE
void | runPrePassIfNecessary ()
virtual void | setUp (const Mat &firstFrame) CV_OVERRIDE
Protected Member Functions inherited from cv::videostab::StabilizerBase
| StabilizerBase ()
bool | doOneIteration ()
void | logProcessingTime ()
Mat | nextStabilizedFrame ()
void | reset ()
void | stabilizeFrame ()

## Protected Attributes
bool | doWobbleSuppression_
int | frameCount_
bool | isPrePassDone_
std::vector< Mat > | motions2_
Ptr< IMotionStabilizer > | motionStabilizer_
bool | mustEstTrimRatio_
Mat | suppressedFrame_
Ptr< WobbleSuppressorBase > | wobbleSuppressor_
Protected Attributes inherited from cv::videostab::StabilizerBase
std::vector< float > | blurrinessRates_
int | borderMode_
int | curPos_
int | curStabilizedPos_
Ptr< DeblurerBase > | deblurer_
bool | doCorrectionForInclusion_
bool | doDeblurring_
bool | doInpainting_
Mat | finalFrame_
Mat | frameMask_
std::vector< Mat > | frames_
Size | frameSize_
Ptr< IFrameSource > | frameSource_
Ptr< InpainterBase > | inpainter_
Mat | inpaintingMask_
Ptr< ILog > | log_
Ptr< ImageMotionEstimatorBase > | motionEstimator_
std::vector< Mat > | motions_
Mat | preProcessedFrame_
clock_t | processingStartTime_
int | radius_
std::vector< Mat > | stabilizationMotions_
std::vector< Mat > | stabilizedFrames_
std::vector< Mat > | stabilizedMasks_
float | trimRatio_

## Constructor & Destructor Documentation

## § TwoPassStabilizer()

cv::videostab::TwoPassStabilizer::TwoPassStabilizer | ( |  | ) |

## Member Function Documentation

## § estimateMotion()

virtual Mat cv::videostab::TwoPassStabilizer::estimateMotion | ( |  | ) |
| protected virtual

Implements cv::videostab::StabilizerBase.

## § estimateStabilizationMotion()

virtual Mat cv::videostab::TwoPassStabilizer::estimateStabilizationMotion | ( |  | ) |
| protected virtual

Implements cv::videostab::StabilizerBase.

## § motionStabilizer()

Ptr<IMotionStabilizer> cv::videostab::TwoPassStabilizer::motionStabilizer | ( |  | ) | const
| inline

## § mustEstimateTrimaRatio()

bool cv::videostab::TwoPassStabilizer::mustEstimateTrimaRatio | ( |  | ) | const
| inline

## § nextFrame()

virtual Mat cv::videostab::TwoPassStabilizer::nextFrame | ( |  | ) |
| virtual

Implements cv::videostab::IFrameSource.

## § postProcessFrame()

virtual Mat cv::videostab::TwoPassStabilizer::postProcessFrame | ( | const Mat & | frame | ) |
| protected virtual

Reimplemented from cv::videostab::StabilizerBase.

## § reset()

virtual void cv::videostab::TwoPassStabilizer::reset | ( |  | ) |
| virtual

Implements cv::videostab::IFrameSource.

## § runPrePassIfNecessary()

void cv::videostab::TwoPassStabilizer::runPrePassIfNecessary | ( |  | ) |
| protected

## § setEstimateTrimRatio()

void cv::videostab::TwoPassStabilizer::setEstimateTrimRatio | ( | bool | val | ) |
| inline

## § setMotionStabilizer()

void cv::videostab::TwoPassStabilizer::setMotionStabilizer | ( | Ptr< IMotionStabilizer > | val | ) |
| inline

## § setUp()

virtual void cv::videostab::TwoPassStabilizer::setUp | ( | const Mat & | firstFrame | ) |
| protected virtual

Reimplemented from cv::videostab::StabilizerBase.

## § setWobbleSuppressor()

void cv::videostab::TwoPassStabilizer::setWobbleSuppressor | ( | Ptr< WobbleSuppressorBase > | val | ) |
| inline

## § wobbleSuppressor()

Ptr<WobbleSuppressorBase> cv::videostab::TwoPassStabilizer::wobbleSuppressor | ( |  | ) | const
| inline

## Member Data Documentation

## § doWobbleSuppression_

bool cv::videostab::TwoPassStabilizer::doWobbleSuppression_
| protected

## § frameCount_

int cv::videostab::TwoPassStabilizer::frameCount_
| protected

## § isPrePassDone_

bool cv::videostab::TwoPassStabilizer::isPrePassDone_
| protected

## § motions2_

std::vector<Mat> cv::videostab::TwoPassStabilizer::motions2_
| protected

## § motionStabilizer_

Ptr<IMotionStabilizer> cv::videostab::TwoPassStabilizer::motionStabilizer_
| protected

## § mustEstTrimRatio_

bool cv::videostab::TwoPassStabilizer::mustEstTrimRatio_
| protected

## § suppressedFrame_

Mat cv::videostab::TwoPassStabilizer::suppressedFrame_
| protected

## § wobbleSuppressor_

Ptr<WobbleSuppressorBase> cv::videostab::TwoPassStabilizer::wobbleSuppressor_
| protected

The documentation for this class was generated from the following file:

- opencv2/videostab/stabilizer.hpp